org.apache.ignite.internal.processors.cache

## Interface IgniteCacheOffheapManager.CacheDataStore

All Known Implementing Classes:
  IgniteCacheOffheapManagerImpl.CacheDataStoreImpl

Enclosing interface:
  IgniteCacheOffheapManager

    public static interface IgniteCacheOffheapManager.CacheDataStore

### Method Summary

Methods
`CacheDataRow` `createRow(KeyCacheObject key, CacheObject val, GridCacheVersion ver, long expireTime, CacheDataRow oldRow)`
`GridCursor<? extends CacheDataRow>` `cursor()`
`GridCursor<? extends CacheDataRow>` `cursor(KeyCacheObject lower, KeyCacheObject upper)`
`void` `destroy()` Destroys the tree associated with the store.
`CacheDataRow` `find(KeyCacheObject key)`
`void` `init(long size, long updCntr)`
`Long` `initialUpdateCounter()`
`void` `invoke(KeyCacheObject key, IgniteCacheOffheapManager.OffheapInvokeClosure c)`
`String` `name()`
`long` `nextUpdateCounter()`
`int` `partId()`
`void` `remove(KeyCacheObject key, int partId)`
`RowStore` `rowStore()`
`int` `size()`
`void` `update(KeyCacheObject key, int part, CacheObject val, GridCacheVersion ver, long expireTime, CacheDataRow oldRow)`
`long` `updateCounter()`
`void` `updateCounter(long val)`
`void` `updateInitialCounter(long cntr)`

### Method Detail

#### partId

    int partId()

Returns:
  Partition ID.

#### name

    String name()

Returns:
  Store name.

#### init

    void init(long size,
            long updCntr)

Parameters:
  `size` - Size to init.
  `updCntr` - Update counter to init.

#### size

    int size()

Returns:
  Size.

#### updateCounter

    long updateCounter()

Returns:
  Update counter.

#### updateCounter

    void updateCounter(long val)

#### nextUpdateCounter

    long nextUpdateCounter()

Returns:
  Next update counter.

#### initialUpdateCounter

    Long initialUpdateCounter()

Returns:
  Initial update counter.

#### createRow

    CacheDataRow createRow(KeyCacheObject key,
                         CacheObject val,
                         GridCacheVersion ver,
                         long expireTime,
                         @Nullable
                         CacheDataRow oldRow)
                           throws IgniteCheckedException

Parameters:
  `key` - Key.
  `val` - Value.
  `ver` - Version.
  `expireTime` - Expire time.
  `oldRow` - Old row.
Returns:
  New row.
Throws:
  `IgniteCheckedException` - If failed.

#### update

    void update(KeyCacheObject key,
              int part,
              CacheObject val,
              GridCacheVersion ver,
              long expireTime,
              @Nullable
              CacheDataRow oldRow)
                throws IgniteCheckedException

Parameters:
  `key` - Key.
  `part` - Partition.
  `val` - Value.
  `ver` - Version.
  `expireTime` - Expire time.
  `oldRow` - Old row if available.
Throws:
  `IgniteCheckedException` - If failed.

#### invoke

    void invoke(KeyCacheObject key,
              IgniteCacheOffheapManager.OffheapInvokeClosure c)
                throws IgniteCheckedException

Parameters:
  `key` - Key.
  `c` - Closure.
Throws:
  `IgniteCheckedException` - If failed.

#### remove

    void remove(KeyCacheObject key,
              int partId)
                throws IgniteCheckedException

Parameters:
  `key` - Key.
  `partId` - Partition number.
Throws:
  `IgniteCheckedException` - If failed.

#### find

    CacheDataRow find(KeyCacheObject key)
                      throws IgniteCheckedException

Parameters:
  `key` - Key.
Returns:
  Data row.
Throws:
  `IgniteCheckedException` - If failed.

#### cursor

    GridCursor<? extends CacheDataRow> cursor()
                                              throws IgniteCheckedException

Returns:
  Data cursor.
Throws:
  `IgniteCheckedException` - If failed.

#### cursor

    GridCursor<? extends CacheDataRow> cursor(KeyCacheObject lower,
                                            KeyCacheObject upper)
                                              throws IgniteCheckedException

Parameters:
  `lower` - Lower bound.
  `upper` - Upper bound.
Returns:
  Data cursor.
Throws:
  `IgniteCheckedException` - If failed.

#### destroy

    void destroy()
                 throws IgniteCheckedException

Destroys the tree associated with the store.

Throws:
  `IgniteCheckedException` - If failed.

#### rowStore

    RowStore rowStore()

Returns:
  Row store.

#### updateInitialCounter

    void updateInitialCounter(long cntr)

Parameters:
  `cntr` - Counter.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017